`timescale 1 ns/100 ps
// Version: v11.4 11.4.0.112


module PCIe_Demo_top_SERDES_IF_0_SERDES_IF(
       RXD0_P,
       RXD0_N,
       RXD1_P,
       RXD1_N,
       RXD2_P,
       RXD2_N,
       RXD3_P,
       RXD3_N,
       TXD0_P,
       TXD0_N,
       TXD1_P,
       TXD1_N,
       TXD2_P,
       TXD2_N,
       TXD3_P,
       TXD3_N,
       APB_S_PRDATA,
       APB_S_PREADY,
       APB_S_PSLVERR,
       APB_S_PADDR,
       APB_S_PENABLE,
       APB_S_PSEL,
       APB_S_PWDATA,
       APB_S_PWRITE,
       APB_S_PCLK,
       APB_S_PRESET_N,
       CORE_RESET_N,
       PHY_RESET_N,
       CLK_BASE,
       PCIE_INTERRUPT,
       PCIE_SYSTEM_INT,
       SPLL_LOCK,
       PLL_LOCK_INT,
       PLL_LOCKLOST_INT,
       PCIE_EV_1US,
       REFCLK0_P,
       REFCLK0_N,
       REFCLK0_OUT,
       AHB_M_HADDR,
       AHB_M_HBURST,
       AHB_M_HSIZE,
       AHB_M_HTRANS,
       AHB_M_HWRITE,
       AHB_M_HWDATA,
       AHB_M_HREADY,
       AHB_M_HRESP,
       AHB_M_HRDATA
    );
input  RXD0_P;
input  RXD0_N;
input  RXD1_P;
input  RXD1_N;
input  RXD2_P;
input  RXD2_N;
input  RXD3_P;
input  RXD3_N;
output TXD0_P;
output TXD0_N;
output TXD1_P;
output TXD1_N;
output TXD2_P;
output TXD2_N;
output TXD3_P;
output TXD3_N;
output [31:0] APB_S_PRDATA;
output APB_S_PREADY;
output APB_S_PSLVERR;
input  [13:2] APB_S_PADDR;
input  APB_S_PENABLE;
input  APB_S_PSEL;
input  [31:0] APB_S_PWDATA;
input  APB_S_PWRITE;
input  APB_S_PCLK;
input  APB_S_PRESET_N;
input  CORE_RESET_N;
input  PHY_RESET_N;
input  CLK_BASE;
input  [3:0] PCIE_INTERRUPT;
output PCIE_SYSTEM_INT;
output SPLL_LOCK;
output PLL_LOCK_INT;
output PLL_LOCKLOST_INT;
output PCIE_EV_1US;
input  REFCLK0_P;
input  REFCLK0_N;
output REFCLK0_OUT;
output [31:0] AHB_M_HADDR;
output [1:0] AHB_M_HBURST;
output [1:0] AHB_M_HSIZE;
output [1:0] AHB_M_HTRANS;
output AHB_M_HWRITE;
output [31:0] AHB_M_HWDATA;
input  AHB_M_HREADY;
input  AHB_M_HRESP;
input  [31:0] AHB_M_HRDATA;

    wire gnd_net, vcc_net;
    
    INBUF_DIFF refclk0_inbuf_diff (.PADP(REFCLK0_P), .PADN(REFCLK0_N), 
        .Y(REFCLK0_OUT));
    VCC vcc_inst (.Y(vcc_net));
    GND gnd_inst (.Y(gnd_net));
    SERDESIF_0 #( .INIT(610'h0000000000000000000000000000000000000000000000000000000003780000000000110A8180000000000008D508D508D52278F7FF80800000000073FF1164B0041FFFFFFFFFEFFFFFFFFFF)
        , .ACT_CONFIG("SERDESIF_0"), .ACT_SIM(1) )  SERDESIF_INST (
        .APB_PRDATA({APB_S_PRDATA[31], APB_S_PRDATA[30], 
        APB_S_PRDATA[29], APB_S_PRDATA[28], APB_S_PRDATA[27], 
        APB_S_PRDATA[26], APB_S_PRDATA[25], APB_S_PRDATA[24], 
        APB_S_PRDATA[23], APB_S_PRDATA[22], APB_S_PRDATA[21], 
        APB_S_PRDATA[20], APB_S_PRDATA[19], APB_S_PRDATA[18], 
        APB_S_PRDATA[17], APB_S_PRDATA[16], APB_S_PRDATA[15], 
        APB_S_PRDATA[14], APB_S_PRDATA[13], APB_S_PRDATA[12], 
        APB_S_PRDATA[11], APB_S_PRDATA[10], APB_S_PRDATA[9], 
        APB_S_PRDATA[8], APB_S_PRDATA[7], APB_S_PRDATA[6], 
        APB_S_PRDATA[5], APB_S_PRDATA[4], APB_S_PRDATA[3], 
        APB_S_PRDATA[2], APB_S_PRDATA[1], APB_S_PRDATA[0]}), 
        .APB_PREADY(APB_S_PREADY), .APB_PSLVERR(APB_S_PSLVERR), 
        .ATXCLKSTABLE({nc0, nc1}), .EPCS_READY({nc2, nc3}), 
        .EPCS_RXCLK({nc4, nc5}), .EPCS_RXCLK_0(), .EPCS_RXCLK_1(), 
        .EPCS_RXDATA({nc6, nc7, nc8, nc9, nc10, nc11, nc12, nc13, nc14, 
        nc15, nc16, nc17, nc18, nc19, nc20, nc21, nc22, nc23, nc24, 
        nc25, nc26, nc27, nc28, nc29, nc30, nc31, nc32, nc33, nc34, 
        nc35, nc36, nc37, nc38, nc39, nc40, nc41, nc42, nc43, nc44, 
        nc45}), .EPCS_RXIDLE({nc46, nc47}), .EPCS_RXRSTN({nc48, nc49}), 
        .EPCS_RXVAL({nc50, nc51}), .EPCS_TXCLK({nc52, nc53}), 
        .EPCS_TXCLK_0(PCIE_EV_1US), .EPCS_TXCLK_1(), .EPCS_TXRSTN({
        nc54, nc55}), .FATC_RESET_N(), .H2FCALIB0(), .H2FCALIB1(), 
        .M_ARADDR({nc56, nc57, nc58, nc59, nc60, nc61, nc62, nc63, 
        nc64, nc65, nc66, nc67, nc68, nc69, nc70, nc71, nc72, nc73, 
        nc74, nc75, nc76, nc77, nc78, nc79, nc80, nc81, nc82, nc83, 
        nc84, nc85, nc86, nc87}), .M_ARBURST({nc88, nc89}), .M_ARID({
        nc90, nc91, nc92, nc93}), .M_ARLEN({nc94, nc95, nc96, nc97}), 
        .M_ARSIZE({nc98, nc99}), .M_ARVALID(), .M_AWADDR_HADDR({
        AHB_M_HADDR[31], AHB_M_HADDR[30], AHB_M_HADDR[29], 
        AHB_M_HADDR[28], AHB_M_HADDR[27], AHB_M_HADDR[26], 
        AHB_M_HADDR[25], AHB_M_HADDR[24], AHB_M_HADDR[23], 
        AHB_M_HADDR[22], AHB_M_HADDR[21], AHB_M_HADDR[20], 
        AHB_M_HADDR[19], AHB_M_HADDR[18], AHB_M_HADDR[17], 
        AHB_M_HADDR[16], AHB_M_HADDR[15], AHB_M_HADDR[14], 
        AHB_M_HADDR[13], AHB_M_HADDR[12], AHB_M_HADDR[11], 
        AHB_M_HADDR[10], AHB_M_HADDR[9], AHB_M_HADDR[8], 
        AHB_M_HADDR[7], AHB_M_HADDR[6], AHB_M_HADDR[5], AHB_M_HADDR[4], 
        AHB_M_HADDR[3], AHB_M_HADDR[2], AHB_M_HADDR[1], AHB_M_HADDR[0]})
        , .M_AWBURST_HTRANS({AHB_M_HTRANS[1], AHB_M_HTRANS[0]}), 
        .M_AWID({nc100, nc101, nc102, nc103}), .M_AWLEN_HBURST({nc104, 
        nc105, AHB_M_HBURST[1], AHB_M_HBURST[0]}), .M_AWSIZE_HSIZE({
        AHB_M_HSIZE[1], AHB_M_HSIZE[0]}), .M_AWVALID_HWRITE(
        AHB_M_HWRITE), .M_BREADY(), .M_RREADY(), .M_WDATA_HWDATA({
        nc106, nc107, nc108, nc109, nc110, nc111, nc112, nc113, nc114, 
        nc115, nc116, nc117, nc118, nc119, nc120, nc121, nc122, nc123, 
        nc124, nc125, nc126, nc127, nc128, nc129, nc130, nc131, nc132, 
        nc133, nc134, nc135, nc136, nc137, AHB_M_HWDATA[31], 
        AHB_M_HWDATA[30], AHB_M_HWDATA[29], AHB_M_HWDATA[28], 
        AHB_M_HWDATA[27], AHB_M_HWDATA[26], AHB_M_HWDATA[25], 
        AHB_M_HWDATA[24], AHB_M_HWDATA[23], AHB_M_HWDATA[22], 
        AHB_M_HWDATA[21], AHB_M_HWDATA[20], AHB_M_HWDATA[19], 
        AHB_M_HWDATA[18], AHB_M_HWDATA[17], AHB_M_HWDATA[16], 
        AHB_M_HWDATA[15], AHB_M_HWDATA[14], AHB_M_HWDATA[13], 
        AHB_M_HWDATA[12], AHB_M_HWDATA[11], AHB_M_HWDATA[10], 
        AHB_M_HWDATA[9], AHB_M_HWDATA[8], AHB_M_HWDATA[7], 
        AHB_M_HWDATA[6], AHB_M_HWDATA[5], AHB_M_HWDATA[4], 
        AHB_M_HWDATA[3], AHB_M_HWDATA[2], AHB_M_HWDATA[1], 
        AHB_M_HWDATA[0]}), .M_WID({nc138, nc139, nc140, nc141}), 
        .M_WLAST(), .M_WSTRB({nc142, nc143, nc144, nc145, nc146, nc147, 
        nc148, nc149}), .M_WVALID(), .PCIE_SYSTEM_INT(PCIE_SYSTEM_INT), 
        .PLL_LOCK_INT(PLL_LOCK_INT), .PLL_LOCKLOST_INT(
        PLL_LOCKLOST_INT), .S_ARREADY(), .S_AWREADY(), .S_BID({nc150, 
        nc151, nc152, nc153}), .S_BRESP_HRESP({nc154, nc155}), 
        .S_BVALID(), .S_RDATA_HRDATA({nc156, nc157, nc158, nc159, 
        nc160, nc161, nc162, nc163, nc164, nc165, nc166, nc167, nc168, 
        nc169, nc170, nc171, nc172, nc173, nc174, nc175, nc176, nc177, 
        nc178, nc179, nc180, nc181, nc182, nc183, nc184, nc185, nc186, 
        nc187, nc188, nc189, nc190, nc191, nc192, nc193, nc194, nc195, 
        nc196, nc197, nc198, nc199, nc200, nc201, nc202, nc203, nc204, 
        nc205, nc206, nc207, nc208, nc209, nc210, nc211, nc212, nc213, 
        nc214, nc215, nc216, nc217, nc218, nc219}), .S_RID({nc220, 
        nc221, nc222, nc223}), .S_RLAST(), .S_RRESP({nc224, nc225}), 
        .S_RVALID(), .S_WREADY_HREADYOUT(), .SPLL_LOCK(SPLL_LOCK), 
        .WAKE_N(), .XAUI_OUT_CLK(), .APB_CLK(APB_S_PCLK), .APB_PADDR({
        APB_S_PADDR[13], APB_S_PADDR[12], APB_S_PADDR[11], 
        APB_S_PADDR[10], APB_S_PADDR[9], APB_S_PADDR[8], 
        APB_S_PADDR[7], APB_S_PADDR[6], APB_S_PADDR[5], APB_S_PADDR[4], 
        APB_S_PADDR[3], APB_S_PADDR[2]}), .APB_PENABLE(APB_S_PENABLE), 
        .APB_PSEL(APB_S_PSEL), .APB_PWDATA({APB_S_PWDATA[31], 
        APB_S_PWDATA[30], APB_S_PWDATA[29], APB_S_PWDATA[28], 
        APB_S_PWDATA[27], APB_S_PWDATA[26], APB_S_PWDATA[25], 
        APB_S_PWDATA[24], APB_S_PWDATA[23], APB_S_PWDATA[22], 
        APB_S_PWDATA[21], APB_S_PWDATA[20], APB_S_PWDATA[19], 
        APB_S_PWDATA[18], APB_S_PWDATA[17], APB_S_PWDATA[16], 
        APB_S_PWDATA[15], APB_S_PWDATA[14], APB_S_PWDATA[13], 
        APB_S_PWDATA[12], APB_S_PWDATA[11], APB_S_PWDATA[10], 
        APB_S_PWDATA[9], APB_S_PWDATA[8], APB_S_PWDATA[7], 
        APB_S_PWDATA[6], APB_S_PWDATA[5], APB_S_PWDATA[4], 
        APB_S_PWDATA[3], APB_S_PWDATA[2], APB_S_PWDATA[1], 
        APB_S_PWDATA[0]}), .APB_PWRITE(APB_S_PWRITE), .APB_RSTN(
        APB_S_PRESET_N), .CLK_BASE(CLK_BASE), .EPCS_PWRDN({vcc_net, 
        vcc_net}), .EPCS_RSTN({gnd_net, gnd_net}), .EPCS_RXERR({
        vcc_net, vcc_net}), .EPCS_TXDATA({gnd_net, gnd_net, gnd_net, 
        gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, 
        gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, 
        gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, 
        gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, 
        gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, 
        gnd_net, gnd_net}), .EPCS_TXOOB({vcc_net, vcc_net}), 
        .EPCS_TXVAL({vcc_net, vcc_net}), .F2HCALIB0(vcc_net), 
        .F2HCALIB1(vcc_net), .FAB_PLL_LOCK(gnd_net), .FAB_REF_CLK(
        vcc_net), .M_ARREADY(gnd_net), .M_AWREADY(gnd_net), .M_BID({
        vcc_net, vcc_net, vcc_net, vcc_net}), .M_BRESP_HRESP({gnd_net, 
        AHB_M_HRESP}), .M_BVALID(gnd_net), .M_RDATA_HRDATA({gnd_net, 
        gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, 
        gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, 
        gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, 
        gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, 
        gnd_net, gnd_net, gnd_net, AHB_M_HRDATA[31], AHB_M_HRDATA[30], 
        AHB_M_HRDATA[29], AHB_M_HRDATA[28], AHB_M_HRDATA[27], 
        AHB_M_HRDATA[26], AHB_M_HRDATA[25], AHB_M_HRDATA[24], 
        AHB_M_HRDATA[23], AHB_M_HRDATA[22], AHB_M_HRDATA[21], 
        AHB_M_HRDATA[20], AHB_M_HRDATA[19], AHB_M_HRDATA[18], 
        AHB_M_HRDATA[17], AHB_M_HRDATA[16], AHB_M_HRDATA[15], 
        AHB_M_HRDATA[14], AHB_M_HRDATA[13], AHB_M_HRDATA[12], 
        AHB_M_HRDATA[11], AHB_M_HRDATA[10], AHB_M_HRDATA[9], 
        AHB_M_HRDATA[8], AHB_M_HRDATA[7], AHB_M_HRDATA[6], 
        AHB_M_HRDATA[5], AHB_M_HRDATA[4], AHB_M_HRDATA[3], 
        AHB_M_HRDATA[2], AHB_M_HRDATA[1], AHB_M_HRDATA[0]}), .M_RID({
        gnd_net, gnd_net, gnd_net, gnd_net}), .M_RLAST(gnd_net), 
        .M_RRESP({gnd_net, gnd_net}), .M_RVALID(gnd_net), 
        .M_WREADY_HREADY(AHB_M_HREADY), .PCIE_INTERRUPT({
        PCIE_INTERRUPT[3], PCIE_INTERRUPT[2], PCIE_INTERRUPT[1], 
        PCIE_INTERRUPT[0]}), .PERST_N(gnd_net), .S_ARADDR({gnd_net, 
        gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, 
        gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, 
        gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, 
        gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, 
        gnd_net, gnd_net, gnd_net}), .S_ARBURST({gnd_net, gnd_net}), 
        .S_ARID({gnd_net, gnd_net, gnd_net, gnd_net}), .S_ARLEN({
        gnd_net, gnd_net, gnd_net, gnd_net}), .S_ARLOCK({gnd_net, 
        gnd_net}), .S_ARSIZE({gnd_net, gnd_net}), .S_ARVALID(gnd_net), 
        .S_AWADDR_HADDR({gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, 
        gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, 
        gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, 
        gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, 
        gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net}), 
        .S_AWBURST_HTRANS({gnd_net, gnd_net}), .S_AWID_HSEL({gnd_net, 
        gnd_net, gnd_net, gnd_net}), .S_AWLEN_HBURST({gnd_net, gnd_net, 
        gnd_net, gnd_net}), .S_AWLOCK({gnd_net, gnd_net}), 
        .S_AWSIZE_HSIZE({gnd_net, gnd_net}), .S_AWVALID_HWRITE(gnd_net)
        , .S_BREADY_HREADY(gnd_net), .S_RREADY(gnd_net), 
        .S_WDATA_HWDATA({gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, 
        gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, 
        gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, 
        gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, 
        gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, 
        gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, 
        gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, 
        gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, 
        gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, 
        gnd_net, gnd_net, gnd_net}), .S_WID({gnd_net, gnd_net, gnd_net, 
        gnd_net}), .S_WLAST(gnd_net), .S_WSTRB({gnd_net, gnd_net, 
        gnd_net, gnd_net, gnd_net, gnd_net, gnd_net, gnd_net}), 
        .S_WVALID(gnd_net), .SERDESIF_CORE_RESET_N(CORE_RESET_N), 
        .SERDESIF_PHY_RESET_N(PHY_RESET_N), .WAKE_REQ(vcc_net), 
        .XAUI_FB_CLK(vcc_net), .RXD3_P(RXD3_P), .RXD2_P(RXD2_P), 
        .RXD1_P(RXD1_P), .RXD0_P(RXD0_P), .RXD3_N(RXD3_N), .RXD2_N(
        RXD2_N), .RXD1_N(RXD1_N), .RXD0_N(RXD0_N), .TXD3_P(TXD3_P), 
        .TXD2_P(TXD2_P), .TXD1_P(TXD1_P), .TXD0_P(TXD0_P), .TXD3_N(
        TXD3_N), .TXD2_N(TXD2_N), .TXD1_N(TXD1_N), .TXD0_N(TXD0_N), 
        .REFCLK0(REFCLK0_OUT), .REFCLK1(vcc_net));
    
endmodule
